aboutsummaryrefslogtreecommitdiff
path: root/etc/private/vm-start-base
diff options
context:
space:
mode:
authorBoris Kolpackov <boris@codesynthesis.com>2020-09-04 13:10:33 +0200
committerBoris Kolpackov <boris@codesynthesis.com>2020-09-04 13:10:33 +0200
commit9f6b17a091222f8240194ae331f64e92ed2c3c28 (patch)
treeb83996996a6a6cee463e11fc884becd16946ea54 /etc/private/vm-start-base
parentb026efa58533e7ce1f04bf9fbb8eb5e7da19db65 (diff)
Update private VM management scripts
Diffstat (limited to 'etc/private/vm-start-base')
-rwxr-xr-xetc/private/vm-start-base16
1 files changed, 8 insertions, 8 deletions
diff --git a/etc/private/vm-start-base b/etc/private/vm-start-base
index df59d6a..a88ea2d 100755
--- a/etc/private/vm-start-base
+++ b/etc/private/vm-start-base
@@ -16,10 +16,10 @@
# MAC address to use for the machine.
#
# --monitor <path>
-# Monitor UNIX socket path, /tmp/machine-<tap>-mon.sock if unspecified.
+# Monitor UNIX socket path, /tmp/vm-<tap>-mon.sock if unspecified.
#
# --console <path>
-# Console UNIX socket path, /tmp/machine-<tap>-con.sock if unspecified.
+# Console UNIX socket path, /tmp/vm-<tap>-con.sock if unspecified.
#
# --stdio
# Connect both console and monitor to stdio (multiplexed).
@@ -27,7 +27,7 @@
# --stdio-monior
# Connect only monitor to stdio.
#
-usage="usage: $0 [<options>] <machine-img> [<extra-qemu-options>]"
+usage="usage: $0 [<options>] <vm-img> [<extra-qemu-options>]"
owd="$(pwd)"
trap "{ cd '$owd'; exit 1; }" ERR
@@ -103,11 +103,11 @@ img="$1"
shift
if [ -z "$img" ]; then
- error "missing machine image"
+ error "missing virtual machine image"
fi
if [ ! -f "$img" ]; then
- error "machine image '$img' does not exist"
+ error "virtual machine image '$img' does not exist"
fi
# Open the reading file descriptor and lock the machine image. Fail if unable
@@ -119,7 +119,7 @@ fi
exec {lfd}<"$img"
if ! flock -n "$lfd"; then
- error "machine is already running"
+ error "virtual machine image is already in use"
fi
del_tap=
@@ -134,11 +134,11 @@ if [ -z "$tap" ]; then
fi
if [ -z "$mon" ]; then
- mon="/tmp/machine-$tap-mon.sock"
+ mon="/tmp/vm-$tap-mon.sock"
fi
if [ -z "$con" ]; then
- con="/tmp/machine-$tap-con.sock"
+ con="/tmp/vm-$tap-con.sock"
fi
ops=(\